package org.dromara.system.service;

import org.dromara.system.domain.TblUserVacate;
import org.dromara.system.domain.vo.TblUserVacateVo;
import org.dromara.system.domain.bo.TblUserVacateBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 人员请假Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblUserVacateService {

    /**
     * 查询人员请假
     */
    TblUserVacateVo queryById(Long id);

    /**
     * 查询人员请假列表
     */
    TableDataInfo<TblUserVacateVo> queryPageList(TblUserVacateBo bo, PageQuery pageQuery);

    /**
     * 查询人员请假列表
     */
    List<TblUserVacateVo> queryList(TblUserVacateBo bo);

    /**
     * 新增人员请假
     */
    Boolean insertByBo(TblUserVacateBo bo);

    /**
     * 修改人员请假
     */
    Boolean updateByBo(TblUserVacateBo bo);

    /**
     * 校验并批量删除人员请假信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
